polyominoes(6)

NAME
polyominoes - fill a rectangle with irregularly-shaped blocks.

SYNOPSIS
polyominoes [-display host:display.screen] [-visual visual] [-window] [-root] [-identical] [-cycles number] [-delay number] [-ncolors number] [-fps]

DESCRIPTION
Repeatedly attempts to completely fill a rectangle with irregularly-shaped puzzle pieces.

OPTIONS

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-identical | -no-identical
    Whether to use identical pieces.

-cycles number
    Duration.  500 - 5000.    Default: 2000.

-delay number
    Per-frame delay, in microseconds. Default: 10000 (0.01 seconds.).

-ncolors number
    Number of Colors. Default: 64.

-fps
    Display the current frame rate and CPU load.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2002 by Stephen Montgomery-Smith. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Stephen Montgomery-Smith.